Support AI

Chatbots

Learn how to programmatically manage AI chatbots with the Support AI API endpoints.

The Chatbot API can be used to retrieve your chatbots within your Support AI account.

Properties

idstring

Unique identifier for the chatbot.

uidstring

Secondary identifier for the chatbot. (Deprecated)

namestring

The name of the chatbot.

configurationstring

The details of the chatbot configuration.


GET /getMyChatbots

List all Chatbots

Get the list of all your chatbots including their settings of your account.

Request

GET /getMyChatbots

curl -G https://api.supportai.com/getMyChatbots \
  -H "Authorization: Bearer IDZFdfiD..." \

Response

{
  "success": true,
  "data": [
    {
      "id": "i082x935...",
      "name": "My Chatbot",
      "configuration": "{json string containing chatbot's configuration}"
    },
    ...
  ]
}

GET /fetchChatbot/:chatbot_id

Fetch Chatbot

Get the details of a specific chatbot of your account based on the ID.

Required attributes

chatbot_idstring

The ID of the chatbot being requested.

Request

POST /fetchChatbot/:chatbot_id

curl https://api.supportai.com/fetchChatbot/:chatbot_id \
  -H "Authorization: Bearer IDZFdfiD..." \

Response

{
  "success": true,
  "data": [
    {
      "id": "i082x935...",
      "name": "My Chatbot",
      "configuration": "{json string containing chatbot's configuration}"
    }
  ]
}